/*

Copyright (c) 2006 Jake Stookey

*/


#ifndef __GLOBAL_H
#define __GLOBAL_H

#include <GL/gl.h>
#include <GL/glu.h>

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

// Dreamcast specific stuff
#ifdef DREAMCAST
#include <tsu/texture.h>
#include "dreamcast/dc_global.h"
#include "dreamcast/dc_kos.h"
#else
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>         /* glut.h includes gl.h and glu.h*/
#endif

// Drawables
#include "object3d.h"

const float DEG2RAD = 3.14159/180;

enum t_textures {
  TEX_NONE,
  TEX_DREAMCAST,
  TEX_NUM_TEXTURES
};

extern GLuint texture[TEX_NUM_TEXTURES + 10];

#endif /* __GLOBAL_H */
