#ifndef __OBJECT3D_H
#define __OBJECT3D_H

/*

Copyright (c) 2006 Jake Stookey

*/

/* Draw a textured object */
class Object3d {
 public:
  Object3d();
  Object3d(int, char *);
  ~Object3d();
  //void load();
  void draw();

 private:
  float *vertices;  // vertices
  float *texturecoords;  // texturecoords
  int *vertexindices;   // vertexindices
  int *textureindices;   // textureindices
  int ttexture1;
  
  int num_vertex_indices;
  int nv, num_texture_indices, nt, num_frames;

  int currentframe;
};


#endif /* __OBJECT3D_H */

